BodyClosedIncompletePartitionPack (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface BodyClosedIncompletePartitionPack

- All Superinterfaces:
    BodyPartitionPack, Cloneable, MetadataObject, MXFUnit, Padded, PartitionPack
  All Known Implementing Classes:
    BodyClosedIncompletePartitionPackImpl

      public interface BodyClosedIncompletePartitionPack
      extends BodyPartitionPack, Cloneable

  Represents the description of body partition that is closed and incomplete.

  A closed partition is one in which required header metadata values have been finalized and so all required metadata is present and correct. All closed partitions that contain header metadata shall have identical header metadata.

  An incomplete partition is one where header metadata exists and some best effort metadata properties have been flagged as unknown, by setting to the appropriate distinguished value.

  See Also:
    `HeaderClosedIncompletePartitionPack`, `FooterClosedIncompletePartitionPack`, `BodyClosedCompletePartitionPack`, `BodyOpenCompletePartitionPack`, `BodyOpenIncompletePartitionPack`

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `BODYSID_DEFAULT, FOOTERPARTITION_DEFAULT, HEADERBYTECOUNT_DEFAULT, INDEXBYTECOUNT_DEFAULT, INDEXSID_DEFAULT, MAJORVERSION_DEFAULT, MINORVERSION_DEFAULT, PREVIOUSPARTITION_DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyClosedIncompletePartitionPack` | `clone()` Create a cloned copy of this body closed incomplete partition pack.

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.PartitionPack

      `addEssenceContainer, getBodyOffset, getBodySID, getEncodedSize, getEssenceContainers, getFooterPartition, getHeaderByteCount, getIndexByteCount, getIndexSID, getKagSize, getMajorVersion, getMinorVersion, getOperationalPattern, getPreviousPartition, getThisPartition, setBodyOffset, setBodySID, setEssenceContainers, setFooterPartition, setHeaderByteCount, setIndexByteCount, setIndexSID, setKagSize, setMajorVersion, setMinorVersion, setOperationalPattern, setPreviousPartition, setThisPartition`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.MXFUnit

      `getUnitType`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Padded

      `getPaddingFillSize, setPaddingFillSize`

- - ### Method Detail

    - #### clone

          BodyClosedIncompletePartitionPack clone()

      Create a cloned copy of this body closed incomplete partition pack.

      Specified by:
        `clone` in interface `BodyPartitionPack`
      Specified by:
        `clone` in interface `PartitionPack`
      Returns:
        Cloned copy of this body closed incomplete partition pack.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.